package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * MspRoleDetailVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class MspRoleDetailVo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("name")
  private Integer name;

  @JsonProperty("defaultRole")
  private Boolean defaultRole;

  @JsonProperty("privilege")
  private MspRoleVo privilege;

  public MspRoleDetailVo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * Role ID
   * @return id
  */
  @ApiModelProperty(value = "Role ID")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public MspRoleDetailVo name(Integer name) {
    this.name = name;
    return this;
  }

  /**
   * Role type
   * @return name
  */
  @ApiModelProperty(value = "Role type")


  public Integer getName() {
    return name;
  }

  public void setName(Integer name) {
    this.name = name;
  }

  public MspRoleDetailVo defaultRole(Boolean defaultRole) {
    this.defaultRole = defaultRole;
    return this;
  }

  /**
   * Whether role is default role
   * @return defaultRole
  */
  @ApiModelProperty(value = "Whether role is default role")


  public Boolean getDefaultRole() {
    return defaultRole;
  }

  public void setDefaultRole(Boolean defaultRole) {
    this.defaultRole = defaultRole;
  }

  public MspRoleDetailVo privilege(MspRoleVo privilege) {
    this.privilege = privilege;
    return this;
  }

  /**
   * Get privilege
   * @return privilege
  */
  @ApiModelProperty(value = "")

  @Valid

  public MspRoleVo getPrivilege() {
    return privilege;
  }

  public void setPrivilege(MspRoleVo privilege) {
    this.privilege = privilege;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    MspRoleDetailVo mspRoleDetailVo = (MspRoleDetailVo) o;
    return Objects.equals(this.id, mspRoleDetailVo.id) &&
        Objects.equals(this.name, mspRoleDetailVo.name) &&
        Objects.equals(this.defaultRole, mspRoleDetailVo.defaultRole) &&
        Objects.equals(this.privilege, mspRoleDetailVo.privilege);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name, defaultRole, privilege);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class MspRoleDetailVo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    defaultRole: ").append(toIndentedString(defaultRole)).append("\n");
    sb.append("    privilege: ").append(toIndentedString(privilege)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

